Package org.eclipse.microprofile.rest.client.tck.spi

# Class SimpleRestClientBuilderListenerImpl

java.lang.Object
org.eclipse.microprofile.rest.client.tck.spi.SimpleRestClientBuilderListenerImpl

All Implemented Interfaces:
  `RestClientBuilderListener`

public class SimpleRestClientBuilderListenerImpl extends Object implements RestClientBuilderListener

## Constructor Summary

Constructors
Constructor
Description
`SimpleRestClientBuilderListenerImpl()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onNewBuilder(RestClientBuilder builder)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleRestClientBuilderListenerImpl

public SimpleRestClientBuilderListenerImpl()

## Method Details

### onNewBuilder

public void onNewBuilder(RestClientBuilder builder)

Specified by:
  `onNewBuilder` in interface `RestClientBuilderListener`